Skip to main content
`Ctrl`+`K`

# KSPChebyshevGetKind

get the kind of Chebyshev polynomial to use

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPChebyshevGetKind(KSP ksp, KSPChebyshevKind *kind)

Logically Collective

## Input Parameters

- ksp - Linear solver context

- kind - The kind of Chebyshev polynomial used

## See Also

KSP: Linear System Solvers, `KSPCHEBYSHEV`, `KSPChebyshevKind`, `KSPChebyshevSetKind()`, `KSP_CHEBYSHEV_FIRST`, `KSP_CHEBYSHEV_FOURTH`, `KSP_CHEBYSHEV_OPT_FOURTH`

## Level

intermediate

## Location

src/ksp/ksp/impls/cheby/cheby.c

## Implementations

KSPChebyshevGetKind_Chebyshev() in src/ksp/ksp/impls/cheby/cheby.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages